<?php 
require_once 'main.php';
require_once 'header.php';

$op=$_GET['op'];
$aid=$admininfo['0']['aid'];
switch ($op) {
	case 'add':
		if ($admininfo['0']['allow_add_issue']==1 || $admininfo['0']['allow_edit_issue']==1) 
		{
			$tyid=$prjid=$iversion=$icode=$ititle=$idesc=$iproirity=$icomplexity=$ineeded_time=$ifile1=$ifile2=$ifile3=$iarchive=$idate=$iwho_fullname=$iwho_email=$iwho_tel=$idone=$idone_date=$idone_version=$icomments="";
			$form_title="افزودن مسئله جدید";

			if (isset($_GET['drfid'])) {
				$drfid=$_GET['drfid'];
				$draftInfo=$draft->Getinfo('drfid',$drfid);
				$idesc=$draftInfo['0']['drfdesc'];
				$ititle=$draftInfo['0']['drftitle'];
			}


			if (isset($_POST['add'])) 
			{
				if (isset($_POST['tyid']))
					$tyid=$_POST['tyid'];
				if (isset($_POST['prjid']))
					$prjid=$_POST['prjid'];
				
				$iversion=$_POST['iversion'];
				$icode=$_POST['icode'];
				if (preg_match('/^[اآبپتثئجچحخدذرزژسشصضطظعغفقکگلمنوهی\s]+$/', $icode)==1 || strpos($icode, " ")!==false) {
					$error="کد مسئله مجاز نیست";
				}
				$ititle=$_POST['ititle'];
				$idesc=$_POST['idesc'];
				$iproirity=$_POST['iproirity'];
				$icomplexity=$_POST['icomplexity'];
				$ineeded_time=$_POST['ineeded_time'];
				$ifile1=$_FILES["ifile1"]["name"];
				$ifile2=$_FILES["ifile2"]["name"];
				$ifile3=$_FILES["ifile3"]["name"];

				if (isset($_POST['iarchive']))
					$iarchive=$_POST['iarchive'];
				else
					$iarchive=0;
				$iwho_fullname=$_POST['iwho_fullname'];
				$iwho_email=$_POST['iwho_email'];
				$iwho_tel=$_POST['iwho_tel'];
				$idone=$_POST['idone'];
				 if ($idone==1) {
					$idone_date=J2G($_POST['idone_date']);
					$idone_version=$_POST['idone_version'];
				 }
				$icomments=htmlspecialchars($_POST['icomments']);


				$issuelist = $issue->GetInfo("icode",$icode);
				//icode validation
				if(count($issuelist)> 0)
				   $error= "کد مسئله تکراری است";


				//files Ext validation
				if (!empty($ifile1))
				{
					if ($_FILES["ifile1"]["size"] < 20971520)
					  	{
							if ($_FILES["ifile1"]["error"] > 0)
					    			$error="Return Code: " . $_FILES["ifile1"]["error"] . "<br>";
					  		else
					    	{	
					    		$ifile1=''.$icode.'-'.$_FILES["ifile1"]["name"].'';
					 
					    		if (file_exists("./upload/issues_file/" . $ifile1))
					      			$error= 'فایل '.$ifile1.' قبلا درج شده است';
					    		else
					      		{
					      			move_uploaded_file($_FILES["ifile1"]["tmp_name"],
					      			"./upload/issues_file/" . $ifile1);
					      		}
					    	}
						}
						else
					  	$error="فایل انتخابی غیرمجاز است";
				}
				if (!empty($ifile2))
				{
					if ($_FILES["ifile2"]["size"] < 20971520)
					  	{
							if ($_FILES["ifile2"]["error"] > 0)
					    			$error= "Return Code: " . $_FILES["ifile2"]["error"] . "<br>";
					  		else
					    	{
					 			$ifile2=''.$icode.'-'.$_FILES["ifile2"]["name"].'';
					    		if (file_exists("./upload/issues_file/" . $ifile2))
					      			$error= 'فایل '.$ifile2.' قبلا درج شده است';
					    		else
					      		{
					      			move_uploaded_file($_FILES["ifile2"]["tmp_name"],
					      			"./upload/issues_file/" . $ifile2);
					      		}
					    	}
						}
						else
					  	$error="فایل انتخابی غیرمجاز است";
				}
				if (!empty($ifile3))
				{
					if ($_FILES["ifile3"]["size"] < 20971520)
					  	{
							if ($_FILES["ifile3"]["error"] > 0)
					    			$error= "Return Code: " . $_FILES["ifile3"]["error"] . "<br>";
					  		else
					    	{
					 			$ifile3=''.$icode.'-'.$_FILES["ifile3"]["name"].'';
					    		if (file_exists("./upload/issues_file/" . $ifile3))
					      			$error= 'فایل '.$ifile3.' قبلا درج شده است';
					    		else
					      		{
					      			move_uploaded_file($_FILES["ifile3"]["tmp_name"],
					      			"./upload/issues_file/" . $ifile3);
					      		}
					    	}
						}
						else
					  	$error="فایل انتخابی غیرمجاز است";
				}
				//End Of files Ext validation

			
				//Required Fields validation
				if (empty($icode) || empty($ititle) || empty($prjid) || empty($tyid)) 
					$error="لطفا فیلدهای الزامی را پر نمایید";
				
					//Add Issue Access Denied
				if ($admininfo['0']['allow_add_issue']==0)
					$error="دسترسی شما به این قسمت امکان پذیر نیست";

				if ($error==="") 
				{
			
					if($issue->Add($aid , $tyid , $prjid , $iversion , $icode , $ititle , $idesc , $iproirity , $icomplexity , $ineeded_time , $ifile1 , $ifile2 , $ifile3 , $iarchive , $iwho_fullname , $iwho_email , $iwho_tel , $icomments ,$idone ,$idone_date ,$idone_version)==1)
					{
						$success="یک رکورد با موفقیت اضافه شد";
						$tyid=$prjid=$iversion=$icode=$ititle=$idesc=$iproirity=$icomplexity=$ineeded_time=$ifile1=$ifile2=$ifile3=$iarchive=$iwho_fullname=$iwho_email=$iwho_tel=$icomments=$idone=$idone_date=$idone_version="";
					}
					else
					{
						$error="متاسفانه مشکلی در افزودن این رکورد به وجود آمده است";
					}
				}
				
			}


			elseif (isset($_POST['edit'])) 
			{
				if ($admininfo['0']['allow_edit_issue']==1) 
				{
					$iid=sprintf("%d",$_GET['iid']);
					$issueInfo = $issue->GetInfo("iid",$iid);
					$tyid=$_POST['tyid'];
					$prjid=$_POST['prjid'];
					$iversion=$_POST['iversion'];
					$icode=$_POST['icode'];
					if (preg_match('/^[اآبپتثئجچحخدذرزژسشصضطظعغفقکگلمنوهی\s]+$/', $icode)==1 || strpos($icode, " ")!==false) {
						$error="کد مسئله مجاز نیست";
					}
					$ititle=$_POST['ititle'];
					$idesc=$_POST['idesc'];
					$iproirity=$_POST['iproirity'];
					$icomplexity=$_POST['icomplexity'];
					$ineeded_time=$_POST['ineeded_time'];
					if (isset($_FILES["ifile1"]))
						$ifile1=$_FILES["ifile1"]["name"];
					else
						$ifile1=$issueInfo['0']['ifile1'];

					if (isset($_FILES["ifile2"]))
						$ifile2=$_FILES["ifile2"]["name"];
					else
						$ifile2=$issueInfo['0']['ifile2'];
						
					if (isset($_FILES["ifile3"])) 
						$ifile3=$_FILES["ifile3"]["name"];
					else
						$ifile3=$issueInfo['0']['ifile3'];
						
					if (isset($_POST['iarchive']))
						$iarchive=$_POST['iarchive'];
					else
						$iarchive=0;
					$iwho_fullname=$_POST['iwho_fullname'];
					$iwho_email=$_POST['iwho_email'];
					$iwho_tel=$_POST['iwho_tel'];
					$idone=$_POST['idone'];
					 if ($idone==1) 
					 {
						$idone_version=$_POST['idone_version'];
					 	if ($_POST['idone_date']!="")
							$idone_date=J2G($_POST['idone_date']);
					 	else
					 		$idone_date="";
					 }
					$icomments=htmlspecialchars($_POST['icomments']);

					//files Ext validation
					if ($ifile1!==$issueInfo['0']['ifile1'])
					{
						if ($_FILES["ifile1"]["size"] < 20971520)
						  	{
								if ($_FILES["ifile1"]["error"] > 0)
						    			$error="Return Code: " . $_FILES["ifile1"]["error"] . "<br>";
						  		else
						    	{	
						    		$ifile1=''.$icode.'-'.$_FILES["ifile1"]["name"].'';
						 
						    		if (file_exists("./upload/issues_file/" . $ifile1))
						      			$error= 'فایل '.$ifile1.' قبلا درج شده است';
						    		else
						      		{
						      			move_uploaded_file($_FILES["ifile1"]["tmp_name"],
						      			"./upload/issues_file/" . $ifile1);
						      		}
						    	}
							}
							else
						  	$error="فایل انتخابی غیرمجاز است";
					}
					if ($ifile2!==$issueInfo['0']['ifile2'])
					{
						$temp = explode(".", $_FILES["ifile2"]["name"]);
						$extension = end($temp);
						if ($_FILES["ifile2"]["size"] < 20971520)
						  	{
								if ($_FILES["ifile2"]["error"] > 0)
						    			$error= "Return Code: " . $_FILES["ifile2"]["error"] . "<br>";
						  		else
						    	{
						 			$ifile2=''.$icode.'-'.$_FILES["ifile2"]["name"].'';
						    		if (file_exists("./upload/issues_file/" . $ifile2))
						      			$error= 'فایل '.$ifile2.' قبلا درج شده است';
						    		else
						      		{
						      			move_uploaded_file($_FILES["ifile2"]["tmp_name"],
						      			"./upload/issues_file/" . $ifile2);
						      		}
						    	}
							}
							else
						  	$error="فایل انتخابی غیرمجاز است";
					}
					if ($ifile3!==$issueInfo['0']['ifile3'])
					{
						$temp = explode(".", $_FILES["ifile3"]["name"]);
						$extension = end($temp);
						if ($_FILES["ifile3"]["size"] < 20971520)
						  	{
								if ($_FILES["ifile3"]["error"] > 0)
						    			$error= "Return Code: " . $_FILES["ifile3"]["error"] . "<br>";
						  		else
						    	{
						 			$ifile3=''.$icode.'-'.$_FILES["ifile3"]["name"].'';
						    		if (file_exists("./upload/issues_file/" . $ifile3))
						      			$error= 'فایل '.$ifile3.' قبلا درج شده است';
						    		else
						      		{
						      			move_uploaded_file($_FILES["ifile3"]["tmp_name"],
						      			"./upload/issues_file/" . $ifile3);
						      		}
						    	}
							}
							else
						  	$error="فایل انتخابی غیرمجاز است";
					}
					//End Of files Ext validation

					//Required Fields validation
					if (empty($icode) || empty($ititle) || empty($prjid) || empty($tyid)) 
						$error="لطفا فیلدهای الزامی را پر نمایید";

						//Edit Issue Access Denied
					if ($admininfo['0']['allow_edit_issue']==0)
						$error="دسترسی شما به این قسمت امکان پذیر نیست";
					

						if ($error==="") 
						{
					
							if($issue->Update($tyid , $prjid , $iversion , $icode , $ititle , $idesc , $iproirity , $icomplexity , $ineeded_time , $ifile1 , $ifile2 , $ifile3 , $iarchive , $iwho_fullname , $iwho_email , $iwho_tel , $icomments, $idone ,$idone_date ,$idone_version ,$iid)==1)
								$success="یک رکورد با موفقیت ویرایش شد";
							else
								$error="متاسفانه مشکلی در ویرایش این رکورد به وجود آمده است";
							
						}
				}
				//Edit issue Access Denied
				else
				{
				$error="دسترسی شما به این قسمت امکان پذیر نیست";	
				Failure("$error");
				}
			}


			elseif (isset($_GET['iid'])) 
			{
				# Show Update Form...
				$form_title="ویرایش مسئله";
				$iid=sprintf("%d",$_GET['iid']);
				$issueInfo = $issue->GetInfo("iid",$iid);
				$tyid=$issueInfo['0']['tyid'];
				$prjid=$issueInfo['0']['prjid'];
				$iversion=$issueInfo['0']['iversion'];
				$icode=$issueInfo['0']['icode'];
				$ititle=$issueInfo['0']['ititle'];
				$idesc=$issueInfo['0']['idesc'];
				$iproirity=$issueInfo['0']['iproirity'];
				$icomplexity=$issueInfo['0']['icomplexity'];
				$ineeded_time=$issueInfo['0']['ineeded_time'];
				$ifile1=$issueInfo['0']['ifile1'];
				$ifile2=$issueInfo['0']['ifile2'];
				$ifile3=$issueInfo['0']['ifile3'];
				$iarchive=$issueInfo['0']['iarchive'];
				$iwho_fullname=$issueInfo['0']['iwho_fullname'];
				$iwho_email=$issueInfo['0']['iwho_email'];
				$iwho_tel=$issueInfo['0']['iwho_tel'];
				$icomments=$issueInfo['0']['icomments'];
				$idone=$issueInfo['0']['idone'];
				if ($idone ==1)
				{
					$idone_version=$issueInfo['0']['idone_version'];
					if ($issueInfo['0']['idone_date']!="") 
						$idone_date=G2JDATE($issueInfo['0']['idone_date']);
					else
						$idone_date="";
				}
				else
				{
					$idone_version="";
					$idone_date="";
				}
				
			}

			if (!empty($error)) 
				Failure($error);
			
			if (!empty($success)) 
				Success($success);

			//Undefined $adminInfo in Edit Forms
			if (!isset($_GET['iid'])) {
				$issueInfo=0;
			}

			echo '
			<div class="path form-group col-md-12 col-sm-12">مسئله ها <i class="fa fa-angle-double-left" aria-hidden="true"></i> '.(isset($_GET['iid'])?'<a href="issues.php?op=list">لیست و ویرایش مسئله ها</a> <i class="fa fa-angle-double-left" aria-hidden="true"></i> ویرایش مسئله':'<a href="issues.php?op=add">افزودن مسئله جدید</a>').'</div>
			<div class="indexframe1 form-group col-md-12 col-sm-12 col-xs-12">
			<center><h4>'.$form_title.'</h4></center>
			</div>';
			echo '
				<form action="" method="post" class="" enctype="multipart/form-data" >
					<div class="form-group col-md-6 col-sm-12 col-xs-12">
				 		<label for="icode">کد مسئله<span class="required"> *</span>:</label>
				 		<input type="text" class="form-control ltr" id="icode" name="icode" autofocus value="'.$icode.'">
				 		<small class="done">&nbsp;<i class="fa fa-info-circle" aria-hidden="true"></i>&nbsp;کد مسئله غیرتکراری، با حروف لاتین و بدون فاصله تایپ شود.<br></small>
					</div>
					<div class="form-group col-md-6 col-sm-12 col-xs-12">
				 		<label for="ititle">عنوان مسئله<span class="required"> *</span>:</label>
				 		<input type="text" class="form-control " id="ititle" name="ititle" value="'.$ititle.'">
					</div>
					<div class="form-group col-md-12 col-sm-12 col-xs-12">
						<label for="idesc"> توصیف مسئله:</label><br>
						<textarea id="idesc" name="idesc" class="form-control editor">'.$idesc.'</textarea>
					</div>
					<div class="form-group col-md-4 col-sm-12 ">
					 	<label for="ifile1">فایل 1:</label>
					 	<div name="ifile1box" id="ifile1box">
					 	'.($issueInfo['0']['ifile1']==""?'<input type="file"  id="ifile1" name="ifile1">':'<a href="./upload/issues_file/'.$ifile1.'" target="_blank">'.$ifile1.'</a>&nbsp<a class="DelFile1" onclick="return Sure()" href="" data1="'.$iid.'" data="'.$ifile1.'"><span class="red glyphicon glyphicon-remove"></span></a>').'
					 	</div>
					</div>
					<div class="form-group col-md-4 col-sm-12 ">
					 	<label for="ifile2">فایل 2:</label>
					 	<div name="ifile1box" id="ifile1box">
					 	'.($issueInfo['0']['ifile2']==""?'<input type="file"  id="ifile2" name="ifile2">':'<a href="./upload/issues_file/'.$ifile2.'" target="_blank">'.$ifile2.'</a>&nbsp<a class="DelFile2" onclick="return Sure()" href="" data1="'.$iid.'" data="'.$ifile2.'"><span class="red glyphicon glyphicon-remove"></span></a>').'
					 	</div>
					</div>
					<div class="form-group col-md-4 col-sm-12 ">
					 	<label for="ifile3">فایل 3:</label>
					 	<div name="ifile1box" id="ifile1box">
					 	'.($issueInfo['0']['ifile3']==""?'<input type="file"  id="ifile3" name="ifile3">':'<a href="./upload/issues_file/'.$ifile3.'" target="_blank">'.$ifile3.'</a>&nbsp<a class="DelFile3" onclick="return Sure()" href="" data1="'.$iid.'" data="'.$ifile3.'"><span class="red glyphicon glyphicon-remove"></span></a>').'
					 	</div>
					</div>					
					<div class="form-group col-md-12 col-sm-12 col-xs-12">
					 <small class="done">&nbsp;<i class="fa fa-info-circle" aria-hidden="true"></i>&nbsp;حداکثر حجم برای هر فایل: 20 مگابایت.</small>
					</div>
					<div class="form-group col-md-6 col-sm-12 col-xs-12">
					 	<label for="">پروژه<span class="required"> *</span>:</label><br>
						<div class="form-group col-md-12 col-sm-12 col-xs-12 listcontainer">
					 ';
					 $projectslist=$project->GetList();
					 foreach ($projectslist as $projectname) 
					 {
					 	echo '
					 	<input type="radio" name="prjid" id="prjid'.$projectname['prjid'].'" '.(isset($_POST['prjid']) && $_POST['prjid']==$projectname['prjid']?'checked':'').' '.($issueInfo['0']['prjid']==$projectname['prjid']? 'checked':'').' value="'.$projectname['prjid'].'"><label for="prjid'.$projectname['prjid'].'">'.$projectname['prjtitle'].' ('.$projectname['prjcode'].')</label><br>
					 	';

					 }



					 echo'
					</div></div>
					<div class="form-group col-md-6 col-sm-12 col-xs-12">
					 	<label for="">رسته<span class="required"> *</span>:</label><br>
						<div class="form-group col-md-12 col-sm-12 col-xs-12 listcontainer">
					';
					$issuetypeslist=$issuetype->GetList();
					foreach ($issuetypeslist as $issuetypename) 
					{
						echo '
						<input type="radio" name="tyid" id="tyid'.$issuetypename['tyid'].'" '.(isset($_POST['tyid']) && $_POST['tyid']==$issuetypename['tyid']?'checked':'').' '.($issueInfo['0']['tyid']==$issuetypename['tyid']?'checked':'').' value="'.$issuetypename['tyid'].'"><label for="tyid'.$issuetypename['tyid'].'">'.$issuetypename['tytitle'].' ('.$issuetypename['tycode'].')</label><br>
						';

					}


					echo'
					</div></div>
					<div class="form-group col-md-3 col-sm-6 col-xs-12">
				 		<label for="iversion">نسخه:</label>
				 		<input type="text" class="form-control ltr" id="iversion" name="iversion"  value="'.$iversion.'">
					</div>
					<div class="form-group col-md-3 col-sm-6 col-xs-12">
				 		<label for="ineeded_time">زمان مورد نیاز(ساعت):</label>
				 		<input type="text" class="form-control " id="ineeded_time" name="ineeded_time"  value="'.$ineeded_time.'">
					</div>
					<div class="form-group col-md-3 col-sm-6 col-xs-12">
				 		<label for="iproirity">فوریت:</label>
				 		<select  id="iproirity" name="iproirity" class=" ltr form-control">
				 			<option '.($iproirity==0?'selected':'').' value="0">None</option>
				 			<option '.($iproirity==1?'selected':'').' value="1">!</option>
				 			<option '.($iproirity==2?'selected':'').' value="2">!!</option>
				 			<option '.($iproirity==3?'selected':'').' value="3">!!!</option>
				 			<option '.($iproirity==4?'selected':'').' value="4">!!!!</option>
				 		</select>
					</div>
					<div class="form-group col-md-3 col-sm-6 col-xs-12">
				 		<label for="icomplexity">پیچیدگی:</label>
				 		<select id="icomplexity" name="icomplexity" class="form-control">
				 			<option '.($icomplexity==0?'selected':'').' value="0">ساده</option>
				 			<option '.($icomplexity==1?'selected':'').' value="1">متوسط</option>
				 			<option '.($icomplexity==2?'selected':'').' value="2">سخت</option>
				 			<option '.($icomplexity==3?'selected':'').' value="3">خیلی سخت</option>
				 		</select>
					</div>
					<div class="form-group col-md-3 col-sm-6 col-xs-12">
				 		<label for="iwho_fullname">گزارش دهنده:</label>
				 		<input type="text" class="form-control " id="iwho_fullname" name="iwho_fullname"  value="'.$iwho_fullname.'">
					</div>
					<div class="form-group col-md-3 col-sm-6 col-xs-12">
				 		<label for="iwho_email">ایمیل گزارش دهنده:</label>
				 		<input type="email" class="form-control ltr" id="iwho_email" name="iwho_email"  value="'.$iwho_email.'">
					</div>
					<div class="form-group col-md-3 col-sm-6 col-xs-12">
				 		<label for="iwho_tel">شماره تماس گزارش دهنده:</label>
				 		<input type="text" class="form-control ltr " id="iwho_tel" name="iwho_tel"  value="'.$iwho_tel.'">
					</div>
					<div class="form-group col-md-3 col-sm-6 col-xs-12 red">
				 		<br><label for="iarchive"><i class="fa fa-archive" aria-hidden="true"></i>  بایگانی کردن:</label>
				 		<input type="checkbox" id="iarchive" name="iarchive" '.($issueInfo['0']['iarchive']==1?'checked':'').' value="1">
					</div>
					<div class="form-group col-md-12 col-sm-12 col-xs-12"><label for="">  وضعیت اجرای این مسئله:</label>
						<div class="form-group col-md-12 col-sm-12 col-xs-12 listcontainer">
							<div class="form-group col-md-12 col-sm-12 col-xs-12">
						 		<input type="radio" id="idone0" name="idone" '.($idone==0?'checked':'').' value="0">
						 		<label for="idone0">انجام نشده</label><br>
						 		<input type="radio" id="idone1" name="idone" '.($idone==1?'checked':'').' value="1">
						 		<label for="idone1"">انجام شد</label>
							</div>

							<div class="form-group col-md-4 col-sm-6 col-xs-12">
							    <label for="idone_date">تاریخ انجام ماموریت:</label>
							    <div class="controls">
							        <div class="input-append">
							            <input id="datepicker" class="input-small form-control ltr lock" type="text" value="'.$idone_date.'" name="idone_date" disabled>
							        </div>
							    </div>
							</div>
							<script>
							    $(document).ready(function() {
							        $("#datepicker").datepicker();
							        $("#datepickerbtn").click(function(event) {
							            event.preventDefault();
							            $("#datepicker").focus();
							        })
							    });
							</script>
							<div class="form-group col-md-4 col-sm-6 col-xs-12">
						 		<label for="idone_version">نسخه اجرا:</label>
								<input id="idone_version" type="text" name="idone_version" class="form-control lock ltr"  value="'.$idone_version.'" disabled>
								
							</div>
						 		
						</div>
					</div>
					

					<div class="form-group col-md-12 col-sm-12 col-xs-12">
						<label for="icomments"> توضیحات:</label><br>
						<textarea id="icomments" name="icomments" rows="5" class="form-control">'.$icomments.'</textarea>
					</div>
					<div class="form-group col-md-12 col-sm-12 col-xs-12">
						<center>
							'.(isset($_GET['iid'])?
							'<button type="submit" class="btn btn-info" name="edit"> ویرایش</button>':
							'<button type="submit" class="btn btn-success" name="add"> افزودن</button>').'
						</center>
					</div>
				</form>
			';

		}
		//Add Project Access Denied
		else
		{
		$error="دسترسی شما به این قسمت امکان پذیر نیست";	
		Failure("$error");
		}
		break;
	




	case 'list':
	if ($admininfo['0']['allow_list_issues']==1) 
	{
		$colorhint=0;
		$filter=$where="";
		$order="ORDER BY idate  DESC";
		
		if (isset($_GET['show']))
			$show=htmlspecialchars($_GET['show']);
		else
			$show="undone";

		switch ($show) {
			case 'all':
			$query="";
				break;

			case 'undone':
			$query="WHERE `idone`=0 AND `iarchive`=0";
				break;

			case 'done':
			$query="WHERE `idone`=1 AND `iarchive`=0";
				break;

			case 'archive':
			$query="WHERE `iarchive`=1";
				break;
			
			default:
				$error="صفحه موردنظر یافت نشد";
				break;
		}
		
		$start=$page=0;
		if (isset($_POST['search']) && $_POST['where']!=="") 
		{
			$where=$_POST['where'];
			$filter=$_POST['filter'];

				switch ($show) {
					case 'all':
					if ($filter=="idone_date" || $filter=="idate")
					{
						$wherej=J2G($_POST['where']);
						$query = "WHERE $filter LIKE '%$wherej%'";
					}
					else
						$query = "WHERE $filter LIKE '%$where%'";
						break;

					case 'undone':
					if ($filter=="idone_date" || $filter=="idate")
					{
						$wherej=J2G($_POST['where']);
						$query = "WHERE `idone`=0 AND $filter LIKE '%$wherej%'";
					}
					else
						$query = "WHERE `idone`=0 AND $filter LIKE '%$where%'";
						break;

					case 'done':
					if ($filter=="idone_date" || $filter=="idate")
					{
						$wherej=J2G($_POST['where']);
						$query = "WHERE `idone`=1 AND $filter LIKE '%$wherej%'";
					}
					else
						$query = "WHERE `idone`=1 AND $filter LIKE '%$where%'";
						break;

					case 'archive':
					if ($filter=="idone_date" || $filter=="idate")
					{
						$wherej=J2G($_POST['where']);
						$query = "WHERE `iarchive`=1 AND $filter LIKE '%$wherej%'";
					}
					else
						$query = "WHERE `iarchive`=1 AND $filter LIKE '%$where%'";
						break;
					
					default:
						$error="فحه موردنظر یافت نشد";
						break;
				}
		}
		if (isset($_POST['search'])) 
		{
			if (isset($_POST['page'])) {
				$page=$_POST['page'];
			}
			else{
				$page=0;
			}
			$start= $page*$page_limit;
		}

		if (isset($_GET['order'])) 
		{
			if (isset($_GET['desc']))
				$sort="desc";
			else
				$sort="";

			
			$order = $_GET['order'];
			$order= "ORDER BY $order $sort";

		}

			$issues = $issue->ListIssues($query,$order,$limit="LIMIT $start,$page_limit");
			$num_of_records=$issue->RowCount($query);
			$num_of_pages = intval($num_of_records/$page_limit);
			$num_of_pages = ($num_of_records%$page_limit==0?$num_of_pages :$num_of_pages+1);
			if ($num_of_pages<$page)
				$page=0;
	

			echo'
			<div class="path form-group col-md-12 col-sm-12">مسئله ها <i class="fa fa-angle-double-left" aria-hidden="true"></i> <a href="issues.php?op=list">لیست و ویرایش مسئله ها</a></div>
			<div class="container">
			  <ul class="nav nav-tabs responsive">
			    <li class="'.($show=="undone"?'active':'').'"><a onclick="location.href=\'issues.php?op=list&show=undone\';" data-toggle="tab" href="#menu1">انجام نشده</a></li>
			    <li class="'.($show=="done"?'active':'').'"><a onclick="location.href=\'issues.php?op=list&show=done\';" data-toggle="tab" href="#menu2">انجام شده</a></li>
			    <li class="'.($show=="archive"?'active':'').'"><a onclick="location.href=\'issues.php?op=list&show=archive\';" data-toggle="tab" href="#menu3">بایگانی</a></li>
			    <li class="'.($show=="all"?'active':'').'"><a onclick="location.href=\'issues.php?op=list&show=all\';" data-toggle="tab" href="#home">همه موارد</a></li>
			  </ul>

			  <div class="tab-content responsive">
			    <div id="home" class="tab-pane fade in active">
			    </div>
			    <div id="menu1" class="tab-pane fade">
			    </div>
			    <div id="menu2" class="tab-pane fade">
			    </div>
			    <div id="menu3" class="tab-pane fade">
			    </div>
			  </div>
			<div>
			';

			echo '
				
				<form action="" method="post" class="form-inline">
					<input type="text" name="where" value="'.$where.'" class="form-control" autofocus placeholder="عنوان جستجو">
					<select name="filter" class="form-control">
						<option '.($filter=="tytitle"?'selected':'').' value="tytitle">رسته</option>
						<option '.($filter=="prjtitle"?'selected':'').' value="prjtitle">پروژه</option>
						<option '.($filter=="icode"?'selected':'').' value="icode">کد مسئله</option>
						<option '.($filter=="ititle"?'selected':'').' value="ititle">عنوان مسئله</option>
						<option '.($filter=="iversion"?'selected':'').' value="iversion">نسخه</option>
						<option '.($filter=="ineeded_time"?'selected':'').' value="ineeded_time">زمان مورد نیاز</option>
						<option onclick="alert(\'درج مقادیر عددی بین 0 (کمترین اولویت) تا 4 (بیشترین اولویت).\')" '.($filter=="iproirity"?'selected':'').' value="iproirity">فوریت</option>
						<option onclick="alert(\'درج اعداد 0 (برای ساده)، 1 (برای متوسط)، 2 (برای سخت) و 3 (برای خیلی سخت)،.\')" '.($filter=="icomplexity"?'selected':'').' value="icomplexity">پیچیدگی</option>
						<option '.($filter=="iwho_fullname"?'selected':'').' value="iwho_fullname">گزارش دهنده</option>
						<option '.($filter=="iwho_email"?'selected':'').' value="iwho_email">ایمیل گزارش دهنده</option>
						<option '.($filter=="iwho_tel"?'selected':'').' value="iwho_tel">تماس گزارش دهنده</option>
						<option onclick="alert(\'درج تاریخ به شمسی و ترکیب <20-01-1396>.\')" '.($filter=="idate"?'selected':'').' value="idate">تاریخ درج</option>
						<option onclick="alert(\'درج اعداد 0 (برای انجام نشده) و 1 (برای انجام شده).\')" '.($filter=="idone"?'selected':'').' value="idone">انجام شده؟</option>
						<option onclick="alert(\'درج تاریخ به شمسی و ترکیب <20-01-1396>.\')" '.($filter=="idone_date"?'selected':'').' value="idone_date">تاریخ انجام</option>
						<option '.($filter=="idone_version"?'selected':'').' value="idone_version">نسخه اجرا</option>
						<option onclick="alert(\'درج اعداد 0 (برای بایگانی نشده) و 1 (برای بایگانی شده).\')" '.($filter=="iarchive"?'selected':'').' value="iarchive">بایگانی شده</option>
						<option '.($filter=="ausername"?'selected':'').' value="ausername">مدیر</option>

						
					</select>
					<select name="page" class="form-control">
					';
					for ($i=0; $i < $num_of_pages ; $i++) { 
						echo ' 
							<option value="'.$i.'"'.($i==$page? 'selected':'').'>صفحه '.($i+1).'/'.($num_of_pages).'</option>					';
					}
					echo '
					</select>
					<input type="submit" value="برو!" name="search" class="btn btn-default"> '.($num_of_records==0?'هیچ رکوردی یافت نشد!':'').'
					
				</form>
				<div  class="table-responsive">
				<table class="table table-striped table-bordered table-hover table-condensed" border="1" style="width:1600px;margin-bottom:90px;">
					<tr class="tablehead text-center">
						<th class="text-center" width="50px;">امکانات</th>
						<th class="text-center"><a href="?op=list&order=tytitle'.(isset($_GET['desc'])?'':'&desc').'&show='.$show.'">رسته '.($_GET['order']=="tytitle"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th class="text-center"><a href="?op=list&order=prjtitle'.(isset($_GET['desc'])?'':'&desc').'&show='.$show.'">پروژه '.($_GET['order']=="prjtitle"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th class="text-center"><a href="?op=list&order=icode'.(isset($_GET['desc'])?'':'&desc').'&show='.$show.'">کد مسئله '.($_GET['order']=="icode"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th class="text-center"><a href="?op=list&order=ititle'.(isset($_GET['desc'])?'':'&desc').'&show='.$show.'">عنوان مسئله '.($_GET['order']=="ititle"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th class="text-center"><a href="?op=list&order=iversion'.(isset($_GET['desc'])?'':'&desc').'&show='.$show.'">نسخه '.($_GET['order']=="iversion"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th class="text-center"><a href="?op=list&order=ineeded_time'.(isset($_GET['desc'])?'':'&desc').'&show='.$show.'">تخمین زمان '.($_GET['order']=="ineeded_time"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th style="width:30px;" class="text-center"><a href="?op=list&order=iproirity'.(isset($_GET['desc'])?'':'&desc').'&show='.$show.'">فــوریت '.($_GET['order']=="iproirity"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th style="width:90px;" class="text-center"><a href="?op=list&order=icomplexity'.(isset($_GET['desc'])?'':'&desc').'&show='.$show.'">پیچیدگی '.($_GET['order']=="icomplexity"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th class="text-center"><a href="?op=list&order=iwho_fullname'.(isset($_GET['desc'])?'':'&desc').'&show='.$show.'">گزارش دهنده '.($_GET['order']=="iwho_fullname"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th class="text-center"><a href="?op=list&order=iwho_email'.(isset($_GET['desc'])?'':'&desc').'&show='.$show.'">ایمیل گزارش دهنده '.($_GET['order']=="iwho_email"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th class="text-center"><a href="?op=list&order=iwho_tel'.(isset($_GET['desc'])?'':'&desc').'&show='.$show.'">تماس گزارش دهنده '.($_GET['order']=="iwho_tel"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th class="text-center"><a href="?op=list&order=idate'.(isset($_GET['desc'])?'':'&desc').'&show='.$show.'">تاریخ درج '.(!isset($_GET['order'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'').' '.($_GET['order']=="idate"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th style="width:30px;" class="text-center"><a href="?op=list&order=idone'.(isset($_GET['desc'])?'':'&desc').'&show='.$show.'">انجام شده؟ '.($_GET['order']=="idone"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th style="width:30px;" class="text-center"><a href="?op=list&order=idone_date'.(isset($_GET['desc'])?'':'&desc').'&show='.$show.'">تاریخ انجام '.($_GET['order']=="idone_date"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th style="width:30px;" class="text-center"><a href="?op=list&order=idone_version'.(isset($_GET['desc'])?'':'&desc').'&show='.$show.'">نسخه اجرا '.($_GET['order']=="idone_version"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th style="width:30px;" class="text-center"><a href="?op=list&order=iarchive'.(isset($_GET['desc'])?'':'&desc').'&show='.$show.'">بایگانی شده '.($_GET['order']=="iarchive"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
						<th class="text-center"><a href="?op=list&order=ausername'.(isset($_GET['desc'])?'':'&desc').'&show='.$show.'">مدیر '.($_GET['order']=="ausername"?''.(isset($_GET['desc'])?'<span class="glyphicon glyphicon-triangle-bottom"></span>':'<span class="glyphicon glyphicon-triangle-top"></span>').'':'').'</a></th>
					</tr>
			';



			foreach ($issues as $issueInfo) {
				$iproirity=$icomplexity="";
					switch ($issueInfo['iproirity']) 
					{
						case '0':
							$iproirity='None';
							break;

						case '1':
							$iproirity='!';
							break;

						case '2':
							$iproirity='!!';
							break;

						case '3':
							$iproirity='!!!';
							break;

						case '4':
							$iproirity='!!!!';
							break;
						
						default:
							# code...
							break;
					}
					switch ($issueInfo['icomplexity']) 
					{
						case '0':
						$icomplexity='ساده';
							break;

						case '1':
						$icomplexity='متوسط';
							break;

						case '2':
						$icomplexity='سخت';
							break;

						case '3':
						$icomplexity='خیلی سخت';
							break;
						
						default:
							# code...
							break;
					}
				echo '
					<tr>
						<td>
							<div class="btn-group">
							  <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							   <span class="glyphicon glyphicon-option-vertical"></span>
							  </button>
							  <ul class="'.($admininfo['0']['allow_edit_issue']==0 && $admininfo['0']['allow_delete_issue']==0?'':'dropdown-menu').' '.($dir==0?'dropdown-menu-right':'dropdown-menu-left').'" style="text-align:'.($dir==0?'right':'left').';">
							  '.($admininfo['0']['allow_edit_issue']==1?'<li><a href="?op=add&iid='.$issueInfo['iid'].'"><span class="glyphicon glyphicon-edit text-info"></span> ویرایش</a></li>':'').'
							  '.($admininfo['0']['allow_delete_issue']==1?'<li><a onclick="return Sure();" href="?op=delete&iid='.$issueInfo['iid'].'&show='.$show.'"><span class="red glyphicon glyphicon-remove"></span> حذف</a></li>':'').'
							  '.($admininfo['0']['allow_list_issues']==1?'<li><a href="#" class="taskload"  data-toggle="modal" data="'.$issueInfo['iid'].'" data-target="#issuesModal" onclick="loadTasksModal()" ><i class="done fa fa-tasks" aria-hidden="true">&nbsp;</i> ماموریت‌های وابسته</a></li>':'').'
							  </ul>
							</div>
						</td>
						<td class="info">'.$issueInfo['tytitle'].'</td>
						<td><img src="./upload/projects_logo/'.($issueInfo['prjlogo']==""?'default.png':''.$issueInfo['prjlogo'].'').'" width="30" hieght="30"> '.$issueInfo['prjtitle'].'</td>
						<td class="ltr '.($show=="all" && $issueInfo['idone']==1?' '.($colorhint=1).' done':'').'">'.$issueInfo['icode'].'</td>
						<td class="'.($show=="all" && $issueInfo['idone']==1?'done':'').'">'.$issueInfo['ititle'].'</td>
						<td class="text-center '.($show=="all" && $issueInfo['idone']==1?'done':'').'">'.($issueInfo['iversion']==""?'<i class="fa fa-window-minimize" aria-hidden="true"></i>':$issueInfo['iversion']).'</td>
						<td class="text-center '.($show=="all" && $issueInfo['idone']==1?'done':'').'">'.($issueInfo['ineeded_time']==""?'<i class="fa fa-window-minimize" aria-hidden="true"></i>':$issueInfo['ineeded_time']).'</td>
						<td class="text-center '.($show=="all" && $issueInfo['idone']==1?'done':'').'">'.$iproirity.'</td>
						<td class="text-center '.($show=="all" && $issueInfo['idone']==1?'done':'').'">'.$icomplexity.'</td>
						<td class="text-center '.($show=="all" && $issueInfo['idone']==1?'done':'').'">'.($issueInfo['iwho_fullname']==""?'<i class="fa fa-window-minimize" aria-hidden="true"></i>':$issueInfo['iwho_fullname']).'</td>
						<td class="'.($issueInfo['iwho_email']==""?'text-center':'ltr').' '.($show=="all" && $issueInfo['idone']==1?'done':'').'">'.($issueInfo['iwho_email']==""?'<i class="fa fa-window-minimize" aria-hidden="true"></i>':$issueInfo['iwho_email']).'</td>
						<td class="text-center '.($show=="all" && $issueInfo['idone']==1?'done':'').' ">'.($issueInfo['iwho_tel']==""?'<i class="fa fa-window-minimize" aria-hidden="true"></i>':$issueInfo['iwho_tel']).'</td>
						<td class="ltr '.($show=="all" && $issueInfo['idone']==1?'done':'').'">'.G2J($issueInfo['idate']).'</td>
						<td class="text-center">'.($issueInfo['idone']==1?'<img src="./images/checked.png" width="20">':'<img src="./images/cancel.png" width="20">').'</td>
						<td class="ltr text-center '.($show=="all" && $issueInfo['idone']==1?'done':'').'">'.($issueInfo['idone_date']==""?'<img src="./images/cancel.png" width="20">':G2JDATE($issueInfo['idone_date'])).'</td>
						<td class="ltr text-center '.($show=="all" && $issueInfo['idone']==1?'done':'').'">'.($issueInfo['idone_version']==""?'<img src="./images/cancel.png" width="20">':$issueInfo['idone_version']).'</td>
						<td class="ltr text-center">'.($issueInfo['iarchive']==1?'<img src="./images/checked.png" width="20">':'<img src="./images/cancel.png" width="20">').'</td>
						<td class="ltr">'.$issueInfo['ausername'].'</td>
						
					</tr>
				';
			}

			echo '</table></div>';
			if ($show=="all") 
				echo '<small class="done">&nbsp;<i class="fa fa-info-circle" aria-hidden="true"></i>&nbsp;مسئله های بایگانی شده در این بخش نمایش داده نخواهند شد.<br></small>';
			
			//When Show Color Hint
			if ($show=="all" && $colorhint==1)
				echo '<small class="done">&nbsp;<i class="fa fa-info-circle" aria-hidden="true"></i>&nbsp;در این جدول مسئله های کمرنگ تر نمایانگر مسئله های انجام شده هستند.</small>';
			
			echo '
				<!-- Modal -->
				<div id="modalBox"></div>
				  <div class="modal fade" id="issuesModal" role="dialog">
				    <div class="modal-dialog modal-md">
				      <div class="modal-content">
				        <div class="modal-header">
				          <h5 class="modal-title">ماموریت های وابسته:</h5>
				          <small class="done">&nbsp;<i class="fa fa-info-circle" aria-hidden="true"></i>&nbsp;علامت <i class="fa fa-toggle-on" aria-hidden="true"></i>
				          		 نشانگر ماموریت های انجام شده است.
				          </small>
				        </div>
				        <div class="modal-body">
				        <form id="modal-form">
				          <input type="hidden" id="tskid_modal" name="tskid_modal">
				        </form>
				        <small class="done">&nbsp;<i class="fa fa-info-circle" aria-hidden="true"></i>&nbsp;برای ویرایش هر ماموریت از دکمه&nbsp;<span class="glyphicon glyphicon-edit"></span>
				        		 و حذف آن از دکمه <span class="glyphicon glyphicon-minus-sign"></span> استفاده کنید.
				        </small>
				        </div>
				        <div class="modal-footer">
				          <button type="button" class="btn btn-default" data-dismiss="modal">تایید</button>
				        </div>
				      </div>
				    </div>
				  </div>

			';

	}
	//List Project Access Denied
	else
	{
		$error="دسترسی شما به این قسمت امکان پذیر نیست";	
		Failure("$error");
	}
	break;

	case 'delete':

	if ($admininfo['0']['allow_delete_issue']==1) 
	{
		if (isset($_GET['iid'])) 
		{
			$show=htmlspecialchars($_GET['show']);
			$iid=sprintf("%d",$_GET['iid']);
			$tskid_array=$issue->GetIssueTasks($iid);
			if ($tskid_array==array()) {
				if($issue->Delete($iid)==1)
				{
					Success("رکورد مورد نظر با موفقیت حذف شد");
					echo'
					<a href="issues.php?op=list&show='.$show.'">بازگشت</a>';
				}
				else{
					Failure("متاسفانه مشکلی در حذف رکورد مورد نظر بوجود آمد");
					echo'
					<a href="issues.php?op=list&show='.$show.'">بازگشت</a>';
				}
			}
			else{
				Failure("ابتدا باید ماموریت های وابسته به این مسئله را حذف نمایید");
				echo'
				<a href="issues.php?op=list&show='.$show.'">بازگشت</a>';
			}
			// echo'<pre style="direction:ltr;">';
			// print_r($tskid_array);
			// echo'</pre>';

		}

	}
	//Delete Project Access Denied
	else
	{
		$error="دسترسی شما به این قسمت امکان پذیر نیست";	
		Failure("$error");
	}
	break;

	default:
		$error="صفحه مورد نظر یافت نشد";	
		Failure("$error");
		break;
}
?>
 <script>
	$(".taskload").click(function(){loadTasksModal()
        $("#modal-form").html('<img src="./images/wait.gif">');
        var iid= $(this).attr("data");
        $.ajax({
          url: 'aj.php' ,
          type: "POST",
          data: {op:"tasks_modal",iid:iid},
          success: function(data,status) {
            $("#modal-form").html(data);
          },
          error: function() {$("#modal-form").html("problem in ajax")}
        });
	});
      function loadTasksModal() {

      }
	$(".DelFile1").click(function(){loadTasksModal()
        $("#ifile1box").html('<img src="./images/wait.gif">');
        var file= $(this).attr("data");
        var iid= $(this).attr("data1");
        $.ajax({
          url: 'aj.php' ,
          type: "POST",
          data: {op:"Del_file_1",file:file,iid:iid},
          success: function(data,status) {
            $("#ifile1box").html(data);
          },
          error: function() {$("#ifile1box").html("")}
        });
	});
      function loadTasksModal() {

      }
	$(".DelFile2").click(function(){loadTasksModal()
        $("#ifile2box").html('<img src="./images/wait.gif">');
        var file= $(this).attr("data");
        var iid= $(this).attr("data1");
        $.ajax({
          url: 'aj.php' ,
          type: "POST",
          data: {op:"Del_file_2",file:file,iid:iid},
          success: function(data,status) {
            $("#ifile2box").html(data);
          },
          error: function() {$("#ifile2box").html("")}
        });
	});
      function loadTasksModal() {

      }
	$(".DelFile3").click(function(){loadTasksModal()
        $("#ifile3box").html('<img src="./images/wait.gif">');
        var file= $(this).attr("data");
        var iid= $(this).attr("data1");
        $.ajax({
          url: 'aj.php' ,
          type: "POST",
          data: {op:"Del_file_3",file:file,iid:iid},
          success: function(data,status) {
            $("#ifile3box").html(data);
          },
          error: function() {$("#ifile3box").html("")}
        });
	});
      function loadTasksModal() {

      }
    $(document).ready(function () {
        $("#idone1").click(function () {
            $(".lock").prop("disabled", false);
        });
        $("#idone0").click(function () {
            $(".lock").prop("disabled", true);
        });
    });
</script>
<?php
include_once 'footer.php';
 ?>